<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output 
	indent="no"
	method="html" 
	omit-xml-declaration="yes"
	encoding="utf-8" />
	<xsl:strip-space elements="*"/>
	<!-- Script créé par Johan Puisais en septembre 2011 - johan.puisais@gmail.com -->
	<!-- Récupération des paramêtres passés par querystring à PHP -->
<xsl:param name="s" />
<xsl:param name="max" />
<xsl:param name="order" />
<xsl:param name="rlang" />

<!--Indiquez ici la base du chemin absolu de votre script-->
<xsl:variable name="base_path" select="'http://www.votre-site.fr/youtube-playlist/'" />


	<!-- Début du template -->
<xsl:template match="/">
	<!-- Début HTML -->
	<xsl:text disable-output-escaping='yes'>&lt;!doctype html&gt;</xsl:text>
	<html lang="fr">
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title><xsl:value-of select="$s"/> - Vidéo les plus vues avec Youtube</title>
	<meta name="description" content="Vidéos de {$s}, Une sélection des vidéos les plus vues de {$s} sur Youtube" />

	<!--Page cannonique : ici indiquée avec en query string le paramêtre "&maxResults" à "18", modifier à votre convenance-->
	<link rel="canonical" href="{$base_path}top-video.php?q={$s}&amp;maxResults=18" />

	<meta name="keywords" content="{$s}, vidéos, youtube, playlist"/>
	<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=10"/><![endif]-->
	<meta name="viewport" content="initial-scale=1.0"/>

	<!-- JS (Autres ressources JS et CSS en fin de body : performance)-->
	<!--[if lt IE 9]><script src="assets/js/html5shiv.js"><xsl:text> </xsl:text></script><![endif]-->
	<script src="assets/js/jquery.min.js"><xsl:text> </xsl:text></script>

	<script type="text/javascript">
	$(document).ready(function() {
	$("#video").lightGallery();
	});
	//Permet le clic sur un lien internet au DIV 
	$("a").click(function (e) {
	e.preventDefault();     // stop the default action if u need 
	e.stopPropagation();
	});

	</script>

	<!-- Début style CSS -->
	<style>
	* {box-sizing: border-box;}
	body {
	background: url(assets/img/background-b2.svg) no-repeat top scroll;
	background-size: 100%;
	/*background-color:#F5F7FA;*/
	margin:0;padding:0;
	font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;
	color:#333;
	}

	.container{
	display:block;
	clear:both;
	max-width:960px;
	margin:10px auto 10px auto;
	text-align:center;
	}

	h1 {
	background:rgba(237, 85, 101, 0.5);
	font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;
	color:#ECF0F1;
	margin: 20px 10px;
	padding:20px;
	text-transform: capitalize;
	}
	
	.footer {
	background:rgba(67, 74, 84, 0.75);
	color:#B0B0B0;
	margin: 20px 10px;
	padding:20px;
	text-transform: capitalize;
	}

	a.ytdwd {
	font-weight:normal;
	color:#999;
	text-decoration:none;
	}

	.flex-item p, .flex-item h2 {
	margin:0;
	padding:10px 10px 0 10px;
	}

	/*Liste en flexbox*/
	.flex-container {
	padding: 0;
	margin: 0;
	list-style: none;
	display: -webkit-box;
	display: -moz-box;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	-webkit-flex-flow: row wrap;
	flex-wrap: wrap;/*Pour Firefox*/
	justify-content: space-around;
	}
	
	.flex-item {
	position:relative;
	padding: 0;
	width: 300px;
	height: auto;
	margin: 10px;
	color: black;
	text-align: center;
	word-wrap: break-word;
	border:solid 0 #999;
		background: url(assets/img/background-d.svg) no-repeat bottom scroll;
		background-size: 100%;
	background-color:rgba(255,255,255,0.8);
	align-items: stretch; // make my junk stretch the complete height sir mixalot.
	flex-direction: column;
	}

	.flex-item img {
	width:100%;
	height:auto;
	margin:0;
	padding:0;
	}
	.flex-item h2 {
	font-size:1em;
	min-height:85px;
	}
	.description {
	font-size:1em;
	min-height:95px;
	}
	.flex-item p {
	font-size:0.9em;
	}
	.flex-item a {
	font-weight:bold;
	color:#E74C3C;
	text-decoration:none;
	}
	</style>
	<!-- Fin style CSS -->


</head>
<body>
<!-- Affichage du player Youtube -->
<div class="container">
<h1><xsl:value-of select="$s"/></h1>
<div class="flex-container" id="video">
<!--Liste des résultats vidéos-->
<xsl:for-each select="Videos/video">
<div class="flex-item" data-src="http://www.youtube.com/watch?v={id}">
<a href="#"><img src="{thumbs}" /></a>
<h2><xsl:value-of select="title" disable-output-escaping="yes"/></h2>
<p class="description"><xsl:value-of select="viddesc" disable-output-escaping="yes"/><xsl:text> </xsl:text></p>
<p style="padding-bottom:4px;line-height:1.4em;">
<a href="#" rel="nofollow" target="_blank">Voir cette vidéo</a>

<!--Lien de téléchargement (Si vous voulez utiliser par exemple la librairie "YouTube Downloader" de John Eckman "URL: https://github.com/jeckman/YouTube-Downloader")-->
<!--Décommenter et remplacer ci-dessous "Votre-chemin-vers-la-librairie" par le chemin vers ce script)-->
<!--
<br/>ou<br/>
<a style="background-color:rgba(255,255,255,0.8);padding:4px;" onclick="javascript:location.href='Votre-chemin-vers-la-librairie/getvideo.php?videoid={id}&amp;type=Download'" href="http://www.xtendo.fr/YouTube-Downloader/getvideo.php?videoid={id}&amp;type=Download" rel="nofollow" target="_blank" class="ytdwd">Télécharger</a>
-->
</p>
</div>
</xsl:for-each>
<!--FIN Liste des résultats vidéos-->
</div>
<!--Footer-->
<div class="footer">Développement - Référencement - Design - Conseil par Xtendo.fr - Poitiers</div>
</div>

	<!-- CSS -->
	<link type="text/css" rel="stylesheet" href="assets/css/lightGallery.css" /> 
	<!-- JS -->
	<script src="assets/js/lightGallery.js"><xsl:text> </xsl:text></script>


</body>
</html>
<!-- FIN HTML -->
</xsl:template>
</xsl:stylesheet>
