<?php 
header("Content-type: text/xml; charset=utf-8");

function fetchAPI($url) {
	$content = '';
	if (ini_get('allow_url_fopen') == true) {
		$content = file_get_contents($url);
	} else {
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url . $key);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		$content = curl_exec($ch);
		curl_close($ch);
	}
	return $content;
}

// Vous avez besoin d'un fichier de cache (Permission en écriture!). A créé dans le dossier d'installation de ce script
$cacheFile = '/tmp/youtube-cache';

// Temps de mise en cache (en secondes). Augmenter ou diminuer cette valeur selon le cadre d'utilisation de ce script
$cacheTime = 10;

// Les termes de recherche passés en paramêtre
$searchVideo = urlencode($_GET['q']);

// Le nombre de résultats demandés
$maxResults = urlencode($_GET['maxResults']);

// Le critère de tri (Désactivé : renseigné en dur dans "$url" ci-dessous)
//$order = urlencode($_GET['order']);

// Votre clé API (YouTube Data API v3 key à obtenir sur https://console.developers.google.com/)
$key = 'Votre-Clé-Api-Ici';

// Modifiez les paramêtres selon vos besoins. Documentation de l'API : https://developers.google.com/youtube/v3/docs/search
$url = 'https://www.googleapis.com/youtube/v3/search?q=' . $searchVideo . '&maxResults=' . $maxResults . '&order=relevance&part=snippet&type=video&videoEmbeddable=true&key=';

// Gestion du cache
$lmod = @filemtime($cacheFile);
if (!isset($_GET['purgeCache']) && $lmod && filesize($cacheFile) && (time() - $lmod < $cacheTime)) {
	$content = file_get_contents($cacheFile);
} else {
	$content = fetchAPI($url . $key);
	if ($content)
		file_put_contents($cacheFile, $content);
}
if (!$content)
	die('Failed to load Youtube data');

$gyoutube = json_decode($content);
if (!$gyoutube)
	die('Failed to decode Youtube data');

// Construction du flux XML pour le parsing via "top-video.php et top-video.xsl"
echo "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n";
echo "<Videos>\n";
echo "<nextPageToken><![CDATA[" . htmlspecialchars($gyoutube -> nextPageToken) . "]]></nextPageToken>\n";
echo "<prevPageToken><![CDATA[" . htmlspecialchars($gyoutube -> prevPageToken) . "]]></prevPageToken>\n";
foreach ($gyoutube->items as $item) {
	$object = $item -> object;
	echo "	<video>\n";
	echo "		<title><![CDATA[" . htmlspecialchars($item -> snippet -> title) . "]]></title>\n";
	echo "		<id><![CDATA[" . htmlspecialchars($item -> id -> videoId) . "]]></id>\n";
	echo "		<vidembed><![CDATA[<iframe width=\"560\" height=\"315\" src=\"https://www.youtube.com/embed" . htmlspecialchars($item -> id -> videoId) . "\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>]]></vidembed>\n";
	echo "		<viddesc><![CDATA[" . htmlspecialchars($item -> snippet -> description) . "]]></viddesc>\n";
	echo "		<link><![CDATA[" . htmlspecialchars($item -> url) . "]]></link>\n";
//	echo "		<comments>" . htmlspecialchars($object -> replies -> selfLink) . "</comments>\n";
	echo "		<pubDate><![CDATA[" . $item -> snippet -> publishedAt . "]]></pubDate>\n";
	echo "		<channel><![CDATA[" . htmlspecialchars($item -> snippet -> channelTitle) . "]]></channel>\n";
	echo "		<thumbs><![CDATA[" . $item -> snippet -> thumbnails ->high->url . "]]></thumbs>\n";
	echo "		<thumbsurl1><![CDATA[" . $item -> snippet -> thumbnails ->default->url . "]]></thumbsurl1>\n";
	echo "		<thumbsurl2><![CDATA[" . $item -> snippet -> thumbnails ->medium->url . "]]></thumbsurl2>\n";
	echo "		<thumbsurl3><![CDATA[" . $item -> snippet -> thumbnails ->high->url . "]]></thumbsurl3>\n";
	echo "	</video>\n";
}
echo "</Videos>\n";
?>